<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="LoadingDialog" parent="Theme.AppCompat.Light.Dialog">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:colorBackgroundCacheHint">@null</item>
        <item name="android:windowSoftInputMode">adjustPan</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>

    <style name="FullScreenDialog" parent="Theme.AppCompat.Dialog">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 自定义动画 -->
        <item name="android:windowAnimationStyle">@style/DialogAnimation</item>
    </style>

    <style name="DialogAnimation">
        <item name="android:windowEnterAnimation">@anim/slide_in_bottom</item>
        <item name="android:windowExitAnimation">@anim/slide_out_bottom</item>
    </style>

    <!-- popup window 显示消失动画-->
    <style name="PopWindowAnimStyle">
        <!-- 指定显示的动画xml  -->
        <item name="android:windowShowAnimation">@anim/dialog_enter</item>
        <!-- 指定消失的动画xml  -->
        <item name="android:windowHideAnimation">@anim/dialog_exit</item>
    </style>

    <style name="BottomDialog.Animation" parent="Animation.AppCompat.Dialog">
        <item name="android:windowEnterAnimation">@anim/bottom_enter</item>
        <item name="android:windowExitAnimation">@anim/bottom_exit</item>
    </style>

    <style name="SafetyBoardContentParent">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:drawablePadding">6dp</item>
        <item name="android:textColor">@android:color/white</item>
        <item name="android:textSize">10sp</item>
    </style>

    <style name="SafetyBoardContentParent.Black">
        <item name="android:textColor">#333333</item>
    </style>

    <style name="SafetyBoardContent" parent="SafetyBoardContentParent">
        <item name="android:drawableStart">@drawable/white_point</item>
    </style>

    <style name="SafetyBoardContent.Black">
        <item name="android:drawableStart">@drawable/black_point</item>
        <item name="android:textColor">#333333</item>
    </style>

    <style name="AlertDialogStyle" parent="@android:style/Theme.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsTranslucent">true</item>
    </style>

    <style name="SafetyCheckProgressDialogStyle" parent="android:Widget.ProgressBar">
        <item name="android:indeterminateDrawable">@drawable/loading_safety_check</item>
    </style>

    <style name="cbx_style">
        <item name="android:layout_height">34dp</item>
        <item name="android:layout_width">96dp</item>
        <item name="android:background">@drawable/bg_cbx</item>
        <item name="android:button">@null</item>
        <item name="android:gravity">center</item>
        <item name="android:textColor">@color/textcolor_cbx</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="weekday_label_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginTop">7dp</item>
        <item name="android:gravity">center</item>
        <item name="android:textColor">#FF333333</item>
        <item name="android:textSize">13sp</item>
        <item name="layout_constraintHorizontal_weight">1</item>
    </style>

    <style name="weekday_label_style.white">
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="current_weekday_style">
        <item name="android:layout_width">50dp</item>
        <item name="android:layout_height">20dp</item>
        <item name="android:background">@drawable/shape_rect_round_11_solid_br_0183fa_20p</item>
        <item name="android:gravity">center</item>
        <item name="android:text">当前</item>
        <item name="android:textColor">#FF0183FA</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="current_weekday_style.white">
        <item name="android:background">@drawable/shape_rect_round_11_solid_br_0183fa</item>
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="weekday_text_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginTop">3dp</item>
        <item name="android:gravity">center</item>
        <item name="android:textColor">#FF333333</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="weekday_text_style.white">
        <item name="android:layout_marginTop">11dp</item>
        <item name="android:textColor">@android:color/white</item>
    </style>

    <style name="weekday_duty_style">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">0dp</item>
        <item name="android:layout_marginStart">10dp</item>
        <item name="android:layout_marginTop">17dp</item>
        <item name="android:layout_marginEnd">10dp</item>
        <item name="android:layout_marginBottom">17dp</item>
    </style>

    <style name="weekday_duty_style.white">
        <item name="android:layout_marginTop">8dp</item>
        <item name="android:layout_marginBottom">8dp</item>
    </style>
</resources>